Package org.apache.tools.ant.taskdefs.optional.native2ascii

# Interface Native2AsciiAdapter

All Known Implementing Classes:
  `BuiltinNative2Ascii`, `DefaultNative2Ascii`, `KaffeNative2Ascii`, `SunNative2Ascii`

    public interface Native2AsciiAdapter

Interface for an adapter to a native2ascii implementation.

Since:
  Ant 1.6.3

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `convert​(Native2Ascii args, java.io.File srcFile, java.io.File destFile)` | Convert the encoding of srcFile writing to destFile.

## Method Details

### convert

boolean convert​(Native2Ascii args, java.io.File srcFile, java.io.File destFile) throws BuildException
Convert the encoding of srcFile writing to destFile.

Parameters:
  `args` - Task that holds command line arguments and allows the implementation to send messages to Ant's logging system
  `srcFile` - the source to convert
  `destFile` - where to send output to
Returns:
  whether the conversion has been successful.
Throws:
  `BuildException` - if there was a problem.